<?php

namespace WPEP\Admin\Coordinator\Statistics;

abstract class Skeleton {

  public $tabs         = [];

  abstract public function get_name();

  abstract public function get_alias();

  abstract public function display( $filter_by = []  );

  public function display_tabs( $current = false ) {
    echo '<h3 class="wpep-navigation wpep-navigation-secondary" data-wpep-navigation="statistics">';

    foreach( $this->tabs  as $tab => $tab_name ){
      $class = ( $tab == $current ) ? 'wpep-navigation-item-active' : '';
      echo '<a class="wpep-navigation-item ' . $class . '" href="' . wpep_admin_url_statistics( [ 'tab' => $this->get_alias(), 'tab_inner' => $tab ] ) . '">' . $tab_name . '</a>';
    }

    echo '</h3>';

      echo '<div class="wpep-clearfix"></div>';
  }

}