<?php

namespace WPEP\ContentType\Video;

use WPEP\ContentType\Skeleton\Integration\StatisticsFromActionTracking as Statistics_Action_Tracking_Integration;

class Statistics extends Statistics_Action_Tracking_Integration {

  public function get_name() {
    return __( 'Video', "wpep" );
  }

  public function get_alias() {
    return WPEP_POST_TYPE_VIDEO;
  }

  public function get_tracked_actions() {
    return [ WPEP_ACTION_TRACKING_TYPE_ACCESS_CONTENT ];
  }

  public function get_post_type() {
    return WPEP_POST_TYPE_VIDEO;
  }

}
