<?php

if( !defined( 'WPEP_DEV_ENABLE_BLACK_FIRE' ) )
  define( "WPEP_DEV_ENABLE_BLACK_FIRE", false );

if( !defined( 'WPEP_ADMIN_BASE_MENU_SLUG' ) )
  define( "WPEP_ADMIN_BASE_MENU_SLUG", 'wpep' );

if( !defined( 'WPEP_STORE_LINK' ) )
  define( "WPEP_STORE_LINK", 'https://codestore.codeiscode.com?wpep-api-enabled=1' );

if( !defined( 'WPEP_STORE_PRODUCTS_LINK' ) )
  define( "WPEP_STORE_PRODUCTS_LINK", 'https://codestore.codeiscode.com/edd-api/products/?number=50' );

if( !defined( 'WPEP_LEARNING_CENTER_JSON_LINK' ) )
  define( "WPEP_LEARNING_CENTER_JSON_LINK", 'https://codestore.codeiscode.com/wpep-learning-center.json' );

if( !defined( 'WPEP_WALK_TROUGHS_JSON_LINK' ) )
  define( "WPEP_WALK_TROUGHS_JSON_LINK", 'https://codestore.codeiscode.com/wpep-walk-troughs.json' );

if( !defined( 'WPEP_WALK_TROUGHS_ENABLE_TRANSIENT' ) )
  define( "WPEP_WALK_TROUGHS_ENABLE_TRANSIENT", true );

if( !defined( 'WPEP_PLACEHOLDER_IMAGE' ) )
  define( "WPEP_PLACEHOLDER_IMAGE", WPEP_BASE_URL_PATH . 'assets/img/placeholder-image.jpg' );

if( !defined( 'WPEP_PROFILE_PLACEHOLDER_IMAGE' ) )
  define( "WPEP_PROFILE_PLACEHOLDER_IMAGE", WPEP_BASE_URL_PATH . 'assets/img/user-profile-image.png' );

if( !defined( 'WPEP_PROFILE_COVER_PLACEHOLDER_IMAGE' ) )
  define( "WPEP_PROFILE_COVER_PLACEHOLDER_IMAGE", WPEP_BASE_URL_PATH . 'assets/img/user-cover-image.jpg' );

if( !defined( 'WPEP_RESOURCE_FONT_ZIP' ) )
  define( "WPEP_RESOURCE_FONT_ZIP", 'https://codestore.codeiscode.com/resources/ttf-fonts.zip' );

if( !defined( 'WPEP_BASE_FONT_SIZE' ) )
  define( "WPEP_BASE_FONT_SIZE", 14 );

if( !defined( 'WPEP_ITEMS_PER_ROW_DYNAMIC' ) )
  define( "WPEP_ITEMS_PER_ROW_DYNAMIC", -1 );

if( !defined( 'WPEP_STATISTICS_YEAR_FROM' ) )
  define( "WPEP_STATISTICS_YEAR_FROM", 2017 );

if( !defined( 'WPEP_MEMBER_MAGNET_TYPE_STANDARD' ) )
  define( "WPEP_MEMBER_MAGNET_TYPE_STANDARD", 'standard' );

if( !defined( 'WPEP_MEMBER_MAGNET_TYPE_QUICK' ) )
  define( "WPEP_MEMBER_MAGNET_TYPE_QUICK", 'quick' );

if( !defined( 'WPEP_LEARNING_JOURNEY_STATUS_PENDING' ) )
  define( "WPEP_LEARNING_JOURNEY_STATUS_PENDING", 'pending' );

if( !defined( 'WPEP_LEARNING_JOURNEY_STATUS_PROGRESSING' ) )
  define( "WPEP_LEARNING_JOURNEY_STATUS_PROGRESSING", 'progressing' );

if( !defined( 'WPEP_LEARNING_JOURNEY_STATUS_COMPLETED' ) )
  define( "WPEP_LEARNING_JOURNEY_STATUS_COMPLETED", 'completed' );

if( !defined( 'WPEP_LEARNING_JOURNEY_DELIVERY_TYPE_NONE' ) )
  define( "WPEP_LEARNING_JOURNEY_DELIVERY_TYPE_NONE", 'none' );

if( !defined( 'WPEP_LEARNING_JOURNEY_DELIVERY_TYPE_INSTANT' ) )
  define( "WPEP_LEARNING_JOURNEY_DELIVERY_TYPE_INSTANT", 'instant' );

if( !defined( 'WPEP_LEARNING_JOURNEY_DELIVERY_TYPE_DRIPPED' ) )
  define( "WPEP_LEARNING_JOURNEY_DELIVERY_TYPE_DRIPPED", 'dripped' );

if( !defined( 'WPEP_LEARNING_JOURNEY_DELIVERY_TYPE_DRIPPED_SECONDS' ) )
  define( "WPEP_LEARNING_JOURNEY_DELIVERY_TYPE_DRIPPED_SECONDS", 'dripped_seconds' );

if( !defined( 'WPEP_LEARNING_JOURNEY_DELIVERY_TYPE_SPECIFIC_DATE' ) )
  define( "WPEP_LEARNING_JOURNEY_DELIVERY_TYPE_SPECIFIC_DATE", 'specific_date' );

require_once( WPEP_BASE_PATH . '/lib/definitions/action-tracking.php' );
require_once( WPEP_BASE_PATH . '/lib/definitions/post-types.php' );
require_once( WPEP_BASE_PATH . '/lib/definitions/assessments.php' );
require_once( WPEP_BASE_PATH . '/lib/definitions/courses.php' );
require_once( WPEP_BASE_PATH . '/lib/definitions/cron.php' );
require_once( WPEP_BASE_PATH . '/lib/definitions/capabilities.php' );
require_once( WPEP_BASE_PATH . '/lib/definitions/discussions.php' );
require_once( WPEP_BASE_PATH . '/lib/definitions/email.php' );
require_once( WPEP_BASE_PATH . '/lib/definitions/primary-content.php' );
require_once( WPEP_BASE_PATH . '/lib/definitions/user.php' );
require_once( WPEP_BASE_PATH . '/lib/definitions/user-roles.php' );
