<?php

echo '<p>' . __( "Import & Export is now part of the base plugin, and by default enabled.", "wpep" ). '</p>';

if( is_plugin_active( 'wpep-import-export/wpep-import-export.php' ) ) {

  deactivate_plugins( [ 'wpep-import-export/wpep-import-export.php' ] );

  echo '<p>' . __( "Import & Export AddOn has been deactivated", "wpep" ) . '</p>';

  try {
    delete_plugins( [ 'wpep-import-export/wpep-import-export.php' ] );

    echo '<p>' . __( "Import & Export AddOn has been deleted", "wpep" ) . '</p>';
  } catch ( \Exception $e ) {
    echo '<p>' . __( "Import & Export AddOn has not been deleted, please remove it manually", "wpep" ) . '</p>';
  }
}
