<?php

global $wpdb;

$affected_tables = [ 'wpep_section', 'wpep_section_lesson' ];

foreach( $affected_tables as $affected_table ) {
  $current_query_table = $wpdb->prefix . $affected_table;

  $sql = "ALTER TABLE `" .  $current_query_table . "` 
                ADD `journey_access_type` VARCHAR(100) NOT NULL DEFAULT '' AFTER `content`, 
                ADD `journey_access_segment` VARCHAR(100) NOT NULL DEFAULT '' AFTER `journey_access_type`, 
                ADD `journey_expiration_type` VARCHAR(100) NOT NULL DEFAULT '' AFTER `journey_access_segment`, 
                ADD `journey_expiration_segment` VARCHAR(100) NOT NULL DEFAULT '' AFTER `journey_expiration_type`, 
                ADD `journey_execution_type` VARCHAR(100) NOT NULL DEFAULT '' AFTER `journey_expiration_segment`, 
                ADD `journey_execution_segment` VARCHAR(100) NOT NULL DEFAULT '' AFTER `journey_execution_type`;";

  $response = $wpdb->query( $sql );

  echo '<p>' . sprintf( __( "Added table column for : %s", "wpep" ), $current_query_table ) . '</p>';
}