<?php
if( !defined( "ABSPATH" ) )
  exit;

if( !isset( $content )
      && isset( $_GET[ 'wpep-preview-content' ] )
      && wp_verify_nonce( $_GET[ 'wpep-preview-content' ], 'wpep-preview-content' ) != false ) {
  if( isset( $_GET[ 'wpep_shortcode' ] ) )
    $content = wpep_utilities_sanitize_input( urldecode( $_GET[ 'wpep_shortcode' ] ) );
  else if( isset( $_GET[ 'wpep-content' ] ) )
    $content = urldecode( $_GET[ 'wpep-content' ] );

    $content = html_entity_decode( $content );
  if( strpos( $content, '[wpep_profile_authentication' ) === 0 ) {
    $content = str_replace( '[wpep_profile_authentication', '[wpep_profile_authentication ignore_auth="1"', $content );
  }

}
?>
<?php wpep_template_header(); ?>

<div class="wpep-page-external-embed-container">
  <?php do_action( 'wpep_before_main_content' ); ?>

  <?php if( isset( $content ) ) : ?>
    <?php echo do_shortcode( $content ); ?>
  <?php else : ?>
    <div class="wpep-notification wpep-notification-warning">
      <?php echo __( "Content has not been provided", "wpep" ) ?>
    </div>
  <?php endif; ?>

  <?php do_action( 'wpep_after_main_content' ); ?>
</div>

<script type="text/javascript">
  jQuery(document).ready( function () {
    jQuery('a[href]').removeAttr( "href" );
  });
</script>

<?php wpep_template_footer(); ?>