<?php $user_assessment_status = wpep_user_assessment_status( $assessment_id, get_current_user_id() ); ?>
<?php if( $is_visible && $user_assessment_status == WPEP_USER_ASSESSMENT_STATUS_COMPLETED ) : ?>
  <div class="wpep-assessment-simple-recap" data-wpep-assessment-status="<?php echo $user_assessment_status; ?>">
    <h2 class="wpep-assessment-title"><?php echo get_the_title( $assessment_id ); ?></h2>
    <span class="wpep-assessment-status"><?php echo wpep_get_setting_translated( 'assessment-status-label-' . $user_assessment_status ); ?></span>
    <span class="wpep-button wpep-button-primary wpep-load-assessment-content">
      <?php echo wpep_get_setting_translated( 'assessment-view' ); ?>
    </span>
  </div>
<?php else : ?>
  <?php echo wpep_spinner_loader(); ?>
<?php endif; ?>