<div class="wpep-course-creator-toolbox">
  <div class="wpep-course-creator-toolbox-header">
    <h2><?php echo __( "Course Admin Overview", "wpep" ); ?></h2>

    <a class="wpep-button wpep-button-primary" href="<?php echo admin_url( 'post.php?post=' . $course_id . '&action=edit' ); ?>"><?php echo __( "Edit Course", "wpep" ); ?></a>
  </div>

  <?php if( wpep_get_setting_flag( 'enable-course-comments' )
          && wpep_course_has_discussion( $course_id )
          && current_user_can( WPEP_CAP_MANAGE_SETTINGS ) ) : ?>
    <div class="wpep-course-creator-toolbox-content">
      <div class="wpep-notification wpep-notification-warning">
        <?php echo __( "The WPEP Discussions is enabled while the legacy comments are enabled, both systems will display. Disabling the legacy comments will not migrate them over to the new discussions system.", "wpep" ); ?>
        <a class="wpep-button-text" data-wpep-admin-disable-legacy-comments="<?php echo wp_create_nonce( 'wpep_disable_legacy_comments'); ?>"><?php echo __( "Disable Legacy Comments", "wpep" ) ?></a>
      </div>
    </div>
  <?php endif; ?>



  <?php if( wpep_controller()->notifications->has_author_notifications() ) : ?>
    <div class="wpep-course-creator-toolbox-content">
      <?php wpep_controller()->notifications->display_author_notifications();?>
    </div>
  <?php endif; ?>
</div>