<!DOCTYPE html>
  <html <?php language_attributes(); ?>>
  <head>
    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <meta name="viewport" content="width=device-width">
    <?php wp_head(); ?>
  </head>

  <style type="text/css">
    body .wpep-wrapper {
      padding-top: 10px !important;
    }

     body .wpep-popup-content-title {
      padding: 0;
      color: #242424;
      display: block;
      text-align: center;
      text-transform: none;
      text-decoration: none;
      margin: 20px 20px 10px 20px;
      font-size: 22px !important;
      font-weight: 500 !important;
      line-height: 1.3em !important;
    }
  </style>

  <body <?php body_class(); ?>>

    <h2 class="wpep-popup-content-title"><?php echo wpep_controller()->discussion->get( $discussion_namespace )->get_discussion_name( $discussion );?></h2>

    <?php do_action( 'wpep_before_main_content' ); ?>

    <?php wpep_controller()->discussion->get( $discussion_namespace )->load_comments_template( $discussion_id );?>

    <?php do_action( 'wpep_after_main_content' ); ?>

    <?php wp_footer();?>
    <?php do_action( 'admin_print_footer_scripts' ); ?>
  </body>
</html>
