<ul class="wpep-post-comments-user-list">
  <?php foreach( $discussion_users as $user ) : ?>
    <?php if( wpep_user_profile_is_public( $user->ID ) || wpep_user_profile_current_user_can_view( $user->ID ) ) : ?>
      <li>
        <a target="_blank" href="<?php echo wpep_user_profile_public_link( $user->ID ); ?>">
          <?php echo get_avatar( $user->ID, 80, wpep_get_setting( 'user-profile-default-profile-picture' ) ); ?>

          <span class="wpep-user-name"><?php echo wpep_content_user_profile_format_name( $user ); ?></span>

          <span class="wpep-user-view-profile"><?php echo wpep_get_setting_translated( 'comments-user-list-view-profile' ); ?></span>
        </a>
      </li>
    <?php else : ?>
      <li>
        <?php echo get_avatar( $user->ID, 80, wpep_get_setting( 'user-profile-default-profile-picture' ) ); ?>

        <span class="wpep-user-name"><?php echo wpep_content_user_profile_format_name( $user ); ?></span>
      </li>
    <?php endif; ?>
  <?php endforeach; ?>
</ul>

<?php if( $total_users > $entries_per_page ) : ?>
  <div class="wpep-post-comments-user-list-navigation">
    <?php if( $pagination_page >= 2 ) : ?>
      <span data-wpep-post-comments-user-list-navigation="<?php echo $pagination_page - 1; ?>"
            data-wpep-post-comments-user-list-navigation-direction="previous"
            class="wpep-button wpep-button-primary">&nbsp;</span>
    <?php endif; ?>

    <?php if( $pagination_page * $entries_per_page < $total_users ) : ?>
      <span data-wpep-post-comments-user-list-navigation="<?php echo $pagination_page + 1; ?>"
            data-wpep-post-comments-user-list-navigation-direction="next"
            class="wpep-button wpep-button-primary">&nbsp;</span>
    <?php endif; ?>
  </div>
<?php endif; ?>