<form class="wpep-discussions-manage-notifications"
     data-wpep-user-id="<?php echo $user_id; ?>">
  <h2><?php echo wpep_get_setting_translated( 'comments-discussion-notifications-title' ); ?></h2>

  <ul class="wpep-discussion-manage-notifications-list">
    <?php foreach( $discussions as $discussion ) : ?>
      <?php $status = isset( $discussion_notifications[ $discussion->id ] ) ? $discussion_notifications[ $discussion->id ] : true; ?>
      <li data-wpep-discussion-id="<?php echo $discussion->id; ?>"
          data-wpep-discussion-notification-status="<?php echo intval( $status ); ?>"
          data-wpep-discussion-notification-status-sync-stage="pending">
        <label>
          <input type="checkbox"
                 name="wpep_discussion_notifications_status[<?php echo $discussion->id; ?>]"
                 class="wpep-discussion-notification-status-checkbox"
                 <?php wpep_utility_checked( $status ); ?>
          />

          <span class="wpep-discussion-name">
            <?php echo wpep_controller()->discussion->get( $discussion->namespace )->get_discussion_name( $discussion ); ?>
          </span>
        </label>
        <div class="wpep-mini-spinner-loader"><div></div><div></div><div></div><div></div></div>
      </li>
    <?php endforeach; ?>
  </ul>
</form>