<?php
$course_tracks = wpep_controller()->userActivity->get_course_user_data_value( WPEP_USER_COURSE_REPEAT_TRACKER, $course_id, false, false, get_current_user_id(), false );

$target = wpep_course_permalink( $course_id );

$target = wp_nonce_url( $target, 'wpep-repeat_' . $course_id, 'wpep-course-repeat');
?>

<div class="wpep-clearfix"></div>
<div id="wpep-progress-repeat-container">
  <p class="wpep-link-container wpep-link-container-right <?php echo wpep_user_course_is_completed( $course_id, get_current_user_id() ) ? 'wpep-visible' : 'wpep-hidden'; ?>">
    <a href="<?php echo $target; ?>"><?php echo wpep_get_setting( 'progress-repeat-button' ); ?></a>
  </p>

  <div class="wpep-clearfix"></div>

  <?php if( !empty( $course_tracks ) && is_array( $course_tracks )) : ?>
    <div class="wpep-element-list-container">
      <p><?php echo wpep_get_setting( 'progress-repeat-headline' ); ?></p>
      <ul class="wpep-element-list">
        <?php foreach( $course_tracks as $course_track ) : ?>
          <li><?php echo wpep_format_date( $course_track ); ?></li>
        <?php endforeach; ?>
      </ul>
    </div>
  <?php endif; ?>
</div>