<?php $supervisor_id = intval( get_user_meta( $user_information->ID, WPEP_USER_META_SUPERVISOR_USER_ID, true ) ); ?>

<?php if( $can_edit && wpep_get_setting_flag( 'user-profile-student-supervisor-allow-change' ) ) : ?>
  <?php $supervisor_user_list = wpep_get_users_by_role( WPEP_USER_ROLE_STUDENT_SUPERVISOR ); ?>

  <?php if( !empty( $supervisor_user_list ) ) : ?>
    <p class="wpep-student-supervisor">
      <select class="wpep-student-supervisor" name="wpep_student_supervisor">
        <option value="0"><?php echo wpep_get_setting_translated( 'user-profile-student-supervisor-placeholder' ); ?></option>
        <?php foreach( $supervisor_user_list as $supervisor_user ) : ?>
          <option value="<?php echo $supervisor_user->ID; ?>"
            <?php wpep_utility_selected( $supervisor_id, $supervisor_user->ID ); ?>
          ><?php echo wpep_content_user_profile_format_name( $supervisor_user ); ?></option>
        <?php endforeach; ?>
      </select>
    </p>
  <?php endif; ?>
<?php else : ?>
  <?php if( $supervisor_id != 0 ) : ?>
    <p class="wpep-student-supervisor"><span><?php echo wpep_content_user_profile_format_name( $supervisor_id ); ?></span></p>
  <?php endif; ?>
<?php endif; ?>
