<div class="<?php echo apply_filters( 'wpep_grid_item_class', 'list-item-grid-item' , $list_item_id, WPEP_POST_TYPE_LIST_ITEM );?>">
  <?php if( isset( $image ) && $image !== '' ) : ?>
  <div class="list-item-picture">
    <img src="<?php echo $image; ?>">
  </div>
  <?php endif; ?>
  <div class="list-item-content <?php echo ( isset( $image ) && $image !== '' ) ? '' : 'list-item-content-no-picture';?>">
    <?php if( isset( $title ) ) : ?>
      <h2 class="list-item-content-title"><?php echo $title; ?></h2>
    <?php endif; ?>

    <?php if( isset( $description ) ) : ?>
      <div class="list-item-content-description wpep-content-from-editor">
        <?php echo wpep_format_content( $description ); ?>
      </div>
    <?php endif; ?>

    <?php if( $link !== '' && $link_title !== '' ) : ?>
      <a href="<?php echo $link; ?>"
         style="<?php echo wpep_implode_associative_array( apply_filters( 'wpep_grid_item_button_style_args', [], $list_item_id ), ":", ";" ); ?>"
         class="wpep-button wpep-button-<?php echo wpep_get_setting( 'index-page-list-item-button-position' ); ?>">
        <?php echo $link_title; ?>
      </a>
    <?php endif; ?>
  </div>
  <div class="wpep-clearfix"></div>
</div>
