<?php

namespace WPEP\Admin\Coordinator;

class DataSystem {

  public $activity;
  public $csvCourses;
  public $csvUsers;
  public $import;

  public function __construct() {
    $this->activity   = new DataSystem\Activity();
    $this->import     = new DataSystem\Import();
    $this->csvCourses = new DataSystem\CSVCourses();
    $this->csvUsers   = new DataSystem\CSVUsers();
  }

  public function setup() {
    $this->activity->setup();
    $this->import->setup();
    $this->csvCourses->setup();
    $this->csvUsers->setup();
  }

}
