<?php

namespace WPEP\Admin\Coordinator\Statistics;

use WPEP\Admin\Coordinator\Statistics;
use WPEP\Controller as WPEP_Controller;

class Emails extends Skeleton {

  /**
   * @var Emails\Dashboard
   */
  public $dashboard;

  public function __construct() {
    $this->dashboard            = new Emails\Dashboard();
  }

  public function get_name() {
    return __( 'Emails', "wpep" );
  }

  public function get_alias() {
    return 'emails';
  }

  public function display( $filter_by = [] ) {
    $this->dashboard->display( $filter_by );
    return;
  }

  public function download( $filter_by = [] ) {
    $this->dashboard->download( $filter_by );
    return;
  }

}
