<?php

namespace WPEP\ContentType\Certification\Integration;

use WPEP\ContentType\Skeleton\Integration\StatisticsFromActionTracking as Statistics_Action_Tracking_Integration;

class Statistics extends Statistics_Action_Tracking_Integration {

  public function get_name() {
    return __( 'Certification', "wpep" );
  }

  public function get_alias() {
    return WPEP_POST_TYPE_CERTIFICATE;
  }

  public function get_tracked_actions() {
    return [ WPEP_ACTION_TRACKING_TYPE_DOWNLOAD ];
  }

  public function get_post_type() {
    return WPEP_POST_TYPE_CERTIFICATE;
  }

}
