<?php

if( !defined( 'WPEP_COURSE_PRESENTATION_CARD_MIN_WIDTH' ) )
  define( "WPEP_COURSE_PRESENTATION_CARD_MIN_WIDTH", 300 );

if( !defined( 'WPEP_COURSE_TYPE_EXECUTION_PLAN' ) )
  define( "WPEP_COURSE_TYPE_EXECUTION_PLAN", "execution_plan" );

if( !defined( 'WPEP_COURSE_TYPE_EXECUTION_PLAN_UNFOLDED' ) )
  define( "WPEP_COURSE_TYPE_EXECUTION_PLAN_UNFOLDED", "execution_plan_unfolded" );

if( !defined( 'WPEP_COURSE_TYPE_LEARN_MAP' ) )
  define( "WPEP_COURSE_TYPE_LEARN_MAP", "learn_map" );

if( !defined( 'WPEP_COURSE_TYPE_STANDARD' ) )
  define( "WPEP_COURSE_TYPE_STANDARD", "standard" );

if( !defined( 'WPEP_COURSE_TYPE_VIDEO' ) )
  define( "WPEP_COURSE_TYPE_VIDEO", "video" );

if( !defined( 'WPEP_COURSE_TYPE_ONE_OFF' ) )
  define( "WPEP_COURSE_TYPE_ONE_OFF", "basic" );

if( !defined( 'WPEP_COURSE_TYPE_CHALLENGE' ) )
  define( "WPEP_COURSE_TYPE_CHALLENGE", "challenge" );

if( !defined( 'WPEP_PREREQUISITE_MODE_POST_META' ) )
  define( "WPEP_PREREQUISITE_MODE_POST_META", "wpep_prerequisite_mode" );
if( !defined( 'WPEP_PREREQUISITE_MODE_NOTIFY' ) )
  define( "WPEP_PREREQUISITE_MODE_NOTIFY", 1 );
if( !defined( 'WPEP_PREREQUISITE_MODE_REQUIRE_ONE' ) )
  define( "WPEP_PREREQUISITE_MODE_REQUIRE_ONE", 2 );
if( !defined( 'WPEP_PREREQUISITE_MODE_REQUIRE_ONE_NOTIFY' ) )
  define( "WPEP_PREREQUISITE_MODE_REQUIRE_ONE_NOTIFY", 3 );
if( !defined( 'WPEP_PREREQUISITE_MODE_REQUIRE_ALL' ) )
  define( "WPEP_PREREQUISITE_MODE_REQUIRE_ALL", 4 );
if( !defined( 'WPEP_PREREQUISITE_FIELD_ID' ) )
  define( "WPEP_PREREQUISITE_FIELD_ID", 'id' );
if( !defined( 'WPEP_PREREQUISITE_FIELD_NAME' ) )
  define( "WPEP_PREREQUISITE_FIELD_NAME", 'name' );
if( !defined( 'WPEP_PREREQUISITE_FIELD_SHOW_NOTIFICATION' ) )
  define( "WPEP_PREREQUISITE_FIELD_SHOW_NOTIFICATION", 'show_notification' );
if( !defined( 'WPEP_PREREQUISITE_FIELD_COMPLETION_REQUIREMENT' ) )
  define( "WPEP_PREREQUISITE_FIELD_COMPLETION_REQUIREMENT", 'completion_requirement' );
if( !defined( 'WPEP_PREREQUISITE_FIELD_SHOW_NEXT_COURSES' ) )
  define( "WPEP_PREREQUISITE_FIELD_SHOW_NEXT_COURSES", 'show_next_courses' );

if( !defined( 'WPEP_COURSE_CERTIFICATE_STATUS_DISABLED' ) )
  define( "WPEP_COURSE_CERTIFICATE_STATUS_DISABLED", 0 );
if( !defined( 'WPEP_COURSE_CERTIFICATE_STATUS_ENABLED' ) )
  define( "WPEP_COURSE_CERTIFICATE_STATUS_ENABLED", 1 );
if( !defined( 'WPEP_COURSE_CERTIFICATE_STATUS_ENABLED_WITH_ASSESSMENTS' ) )
  define( "WPEP_COURSE_CERTIFICATE_STATUS_ENABLED_WITH_ASSESSMENTS", 2 );

if( !defined( 'WPEP_COURSE_CERTIFICATE_DEFAULT_BACKGROUND_IMAGE' ) )
  define( "WPEP_COURSE_CERTIFICATE_DEFAULT_BACKGROUND_IMAGE", WPEP_BASE_URL_PATH . 'assets/img/default-certificate.jpg' );

if( !defined( 'WPEP_COURSE_CERTIFICATE_ERROR_BACKGROUND_IMAGE' ) )
  define( "WPEP_COURSE_CERTIFICATE_ERROR_BACKGROUND_IMAGE", WPEP_BASE_URL_PATH . 'assets/img/default-certificate-placeholder.jpg' );