<?php

namespace WPEP;

global $wpdb;

require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );

$course_user_data_table_name = $wpdb->prefix . 'wpep_course_user_data';

$sql = "CREATE TABLE IF NOT EXISTS `$course_user_data_table_name` (
          `id`         INT NOT NULL AUTO_INCREMENT,
          `user_id`    INT NOT NULL DEFAULT 0,
          `course_id`  INT NOT NULL DEFAULT 0,
          `section_id` INT NOT NULL DEFAULT 0,
          `lesson_id`  INT NOT NULL DEFAULT 0,
          `key`       VARCHAR(100) NOT NULL DEFAULT '',
          `value`     VARCHAR(500) NOT NULL,
          PRIMARY KEY ( `id` ),
          INDEX `" . $course_user_data_table_name . "_user_id` (`user_id`),
          INDEX `" . $course_user_data_table_name . "_course_id` (`course_id`),
          INDEX `" . $course_user_data_table_name . "_section_id` (`section_id`),
          INDEX `" . $course_user_data_table_name . "_lesson_id` (`lesson_id`)
        )
        ENGINE = InnoDB;";

dbDelta( $sql );

echo '<p>' . __( "Created the wpep_user_data, Execution Plan Learning Paths are now available" ) . '</p>';