<?php

$migrated = 0;
$category_list = get_terms( [
  'taxonomy'   => WPEP_TAXONOMY_CATEGORY,
  'hide_empty' => false
] );

foreach( $category_list as $category_item ) {
  $icon = get_term_meta( $category_item->term_id, 'icon', true );

  if( !is_array( $icon ) )
    continue;


  update_term_meta( $category_item->term_id, 'icon', $icon['url'] );

  $migrated++;
}

echo '<p>' . sprintf( __( "WPEP Categories - %s images migrated under the new format", "wpep" ), $migrated ) . '</p>';