<?php

global $wpdb;

$discussion_comment_table = $wpdb->prefix . 'wpep_discussion_comment';

$sql = 'ALTER TABLE `' . $discussion_comment_table . '` ADD `last_activity` DATETIME NULL DEFAULT NULL AFTER `created_at`;';

$resp = $wpdb->query( $sql );

echo '<p>' . sprintf( __( "Updated %s Table - new column last_activity", "wpep" ), $discussion_comment_table ) . '</p>';

$sql = 'UPDATE `' . $discussion_comment_table . '` SET `last_activity` = `created_at` WHERE `last_activity` IS NULL;';

$resp = $wpdb->query( $sql );

echo '<p>' . sprintf( __( "Updated %s Table - last_activity synced.", "wpep" ), $discussion_comment_table ) . '</p>';