<?php if( is_array( $font_list ) && !empty( $font_list ) ) : ?>
  <table class="wp-list-table widefat striped wpep-ttf-fonts-table">
    <thead>
      <tr>
        <th><?php echo __( "Font Name", "wpep" ); ?></th>
        <th><?php echo __( "Font File", "wpep" ); ?></th>
        <th></th>
      </tr>
    </thead>
    <tbody>
      <?php foreach( $font_list as $font_alias => $font_name ) : ?>
        <tr>
          <td><?php echo $font_name; ?></td>
          <td><?php echo $font_alias; ?></td>
          <td>
            <?php if( $font_alias === 'arial.ttf' ) : ?>
              <p><?php echo __( "Default Font", "wpep" ); ?></p>
            <?php else : ?>
              <a href="<?php echo wpep_admin_url_platform_health( [ 'tab' => 'tools', 'tab_inner' => 'ttf-fonts', 'delete' => urlencode( $font_alias ) ] ); ?>"
                 class="wpep-button wpep-button-danger"><?php echo __( "Delete" ); ?></a>
            <?php endif; ?>
          </td>
        </tr>
      <?php endforeach; ?>
    </tbody>
  </table>
<?php endif; ?>

<p class="wpep-operations-line-container">
  <a class="wpep-button wpep-button-primary wpep-button-right"
     href="<?php echo wpep_admin_url_platform_health( [ 'tab' => 'tools', 'tab_inner' => 'ttf-fonts', 'operation' => "download-fonts" ] ); ?>">
    <?php echo __( "Download All Fonts" ); ?>
  </a>
</p>
