<?php if( !is_user_logged_in() || !isset( $discussion_namespace ) ) return; ?>

<form class="wpep-post-comment-form"
      data-wpep-post-comment-namespace="<?php echo $discussion_namespace; ?>"
      data-wpep-post-comment-post-id="<?php the_ID(); ?>"
      data-wpep-post-comment-discussion-id="<?php echo $discussion_id; ?>"
      data-wpep-post-comment-parent-id="0">
    <?php do_action( 'wpep_discussion_redaction_top' ); ?>

    <div class="wpep-comment-author-container">
        <?php echo get_avatar( get_current_user_id(), 40, wpep_get_setting( 'user-profile-default-profile-picture' ) ); ?>
        <h2 class="wpep-comment-author-name"><?php echo wpep_content_user_profile_format_name( get_current_user_id() ); ?></h2>
    </div>
    <div class="wpep-post-comment-form-redaction">
      <h2 class="wpep-comment-author-name"><?php echo wpep_content_user_profile_format_name( get_current_user_id() ); ?></h2>

      <?php wpep_discussion_comment_form_editor( get_the_ID(), $discussion_namespace );?>

      <div class="wpep-notification wpep-notification-info wpep-hidden wpep-comment-content-required">
        <?php echo wpep_get_setting_translated( 'comments-notification-content-empty' ); ?>
      </div>

      <p class="wpep-link-container wpep-link-container-right">
        <?php echo wpep_spinner_loader( false, 'wpep-post-comments-form-loader-container wpep-spinner-loader-container wpep-hidden', 'span' ); ?>

        <a class="wpep-submit-comment"
           data-wpep-wpep-lang-submit-comment="<?php echo wpep_get_setting_translated( 'comments-button-submit' ); ?>"
           data-wpep-wpep-lang-reply-comment="<?php echo wpep_get_setting_translated( 'comments-button-reply-submit' ); ?>"
        ><?php echo wpep_get_setting_translated( 'comments-button-submit' ); ?></a>

        <a class="wpep-cancel-reply-comment wpep-hidden"><?php echo wpep_get_setting_translated( 'comments-button-cancel-reply' ); ?></a>
      </p>
      <div class="wpep-clearfix"></div>
    </div>
    <div class="wpep-clearfix"></div>
</form>
