<div class="wpep-comment-author-container"
     data-wpep-comment-user-id="<?php echo $discussion_comment->user_id; ?>">
  <?php echo get_avatar( $discussion_comment->user_id, 40, wpep_get_setting( 'user-profile-default-profile-picture' ) ); ?>

</div>

<div id="wpep-comment-content-<?php echo $discussion_comment->id; ?>"
     class="wpep-single-comment-content wpep-content-from-editor">
  <h2 class="wpep-comment-author-name">
    <?php echo wpep_content_user_profile_format_name( $discussion_comment->user_id ); ?>

    <?php if( user_can( $discussion_comment->user_id, WPEP_CAP_MANAGE_MEMBERS ) ) : ?>
      <span class="wpep-comment-author-authority-badge"></span>
    <?php endif; ?>
  </h2>

  <?php echo wpep_discussion_comment_content( $discussion_comment ); ?>
</div>

<div class="wpep-comment-operations">
  <?php if( $can_reply_comment ) : ?>
  <span data-wpep-comment-reply-to="<?php echo $discussion_comment->id; ?>"
  ><?php echo wpep_get_setting_translated( 'comments-button-reply' ); ?></span>
  <?php endif; ?>

  <?php if( $can_delete_comment ) : ?>
  <span data-wpep-single-comment-delete="standard">
    <span data-wpep-single-comment-delete-text="standard"><?php echo wpep_get_setting_translated( 'comments-button-delete' ); ?></span>
    <span data-wpep-single-comment-delete-text="confirm"><?php echo wpep_get_setting_translated( 'comments-button-confirm-delete' ); ?></span>
  </span>
  <?php endif; ?>

  <span class="wpep-comment-time-and-date"><?php echo wpep_discussion_format_date( $discussion_comment->created_at );?></span>
</div>

<div class="wpep-clearfix"></div>
