<div class="wpep-comment-section-top">
  <div class="wpep-comment-author-container"
       data-wpep-comment-user-id="<?php echo $discussion_comment->user_id; ?>">
    <?php echo get_avatar( $discussion_comment->user_id, 40, wpep_get_setting( 'user-profile-default-profile-picture' ) ); ?>
    <div class="wpep-comment-author-name-and-date">
      <h2 class="wpep-comment-author-name">
        <?php echo wpep_content_user_profile_format_name( $discussion_comment->user_id ); ?>
      </h2>

      <?php if( user_can( $discussion_comment->user_id, WPEP_CAP_MANAGE_MEMBERS ) ) : ?>
        <span class="wpep-comment-author-authority-badge">
          <?php echo wpep_get_setting_translated( 'comments-authority-badge-name' ); ?>
          <span></span>
        </span>
      <?php endif; ?>

      <span class="wpep-comment-time-and-date"><?php echo wpep_discussion_format_date( $discussion_comment->created_at );?></span>
    </div>
  </div>

  <?php if( $can_delete_comment || $can_pin_comment ) : ?>
    <div class="wpep-comment-operations-top">
      <?php if( $can_delete_comment ) : ?>
        <span data-wpep-single-comment-delete="standard">
          <span data-wpep-single-comment-delete-text="confirm"><?php echo wpep_get_setting_translated( 'comments-button-confirm-delete' ); ?></span>
        </span>
      <?php endif; ?>

      <?php if( $can_pin_comment ) : ?>
        <span data-wpep-single-comment-pin="<?php echo $discussion_comment->is_pinned ? 'active' : 'inactive';?>"
        ><?php echo wpep_get_setting_translated( 'comments-button-feature-comment' ); ?></span>
      <?php endif; ?>
    </div>
  <?php endif; ?>
</div>

<div id="wpep-comment-content-<?php echo $discussion_comment->id; ?>"
     class="wpep-single-comment-content wpep-content-from-editor">
  <?php echo wpep_discussion_comment_content( $discussion_comment ); ?>
</div>

<div class="wpep-comment-operations">
  <span data-wpep-comment-reply-to="<?php echo $discussion_comment->parent_id == 0 ? $discussion_comment->id : $discussion_comment->parent_id; ?>"
  ><?php echo wpep_get_setting_translated( 'comments-button-reply' ); ?></span>
</div>

<div class="wpep-clearfix"></div>
