<?php

$thumbnail_id  = get_post_thumbnail_id( $item->ID );

$thumbnail     = ( $thumbnail_id == '' ? '' : get_post( $thumbnail_id, 'full' ) );
$thumbnail_img = ( isset( $thumbnail->guid ) ? $thumbnail->guid : '' );
$download_link = apply_filters(
  'wpep_primary_content_item_link',
  ( wpep_get_setting_flag( 'ebook-redirect-display' ) ? get_permalink( $item->ID ) : wpep_controller()->actionTracking->get_event_url( WPEP_ACTION_TRACKING_EVENT_TYPE_OPEN_LINK, $item->ID ) ),
  $item->ID
)

?>
<div class="<?php echo apply_filters( 'wpep_grid_item_class', 'ebook-grid-item', $item->ID );?>">

  <div class="img-wrapper">
    <img src="<?php echo $thumbnail_img == '' ? wpep_get_placeholder_image() : $thumbnail_img; ?>">
  </div><!-- .img-wraper -->

  <div class="btn-wrapper">

    <a href="<?php echo $download_link ?>"
       style="<?php echo wpep_implode_associative_array( apply_filters( 'wpep_grid_item_button_style_args', [], $item->ID ), ":", ";" ); ?>"
       class="download-ebook"
       target="_blank">
      <?php echo apply_filters( 'wpep_primary_content_item_link_title', __( 'Download', 'wpep' ), $item->ID ); ?>
    </a>

  </div><!-- .btn-wraper -->
  <div class="wpep-clearfix"></div>
</div><!-- .ebook-grid-item -->
